#ruby=1.9.3-p327
source 'http://rubygems.org'
unless ENV['LOCAL_DEV'] == '1'
  source 'https://jamjam:blueberryjam@int.jamkazam.com/gems/'
end

ruby_version = ENV["JAM_RUBY_VERSION"]
ruby_version = "2.3.1" if ruby_version.nil?

ruby ruby_version

# Look for $WORKSPACE, otherwise use "workspace" as dev path.
devenv = ENV["BUILD_NUMBER"].nil?
if devenv
  #gem 'jam_db', :path=> "../db/target/ruby_package"
  gem 'jampb', :path => "../pb/target/ruby/jampb"
  gem 'jam_ruby', :path => "../ruby"
else
  #gem 'jam_db', "0.1.#{ENV["BUILD_NUMBER"]}"
  gem 'jampb',  "0.1.#{ENV["BUILD_NUMBER"]}"
  gem 'jam_ruby',  "0.1.#{ENV["BUILD_NUMBER"]}"
  ENV['NOKOGIRI_USE_SYSTEM_LIBRARIES'] ||= "true"
end

gem 'activerecord', '= 4.2.8'
gem 'actionpack', '= 4.2.8'
gem 'actionmailer', '= 4.2.8'
gem 'protected_attributes'
gem 'rails-observers'
gem 'auto_strip_attributes', '2.6.0'

# PINNED TO SUPPORT BOTH 2.3.1 and 2.4.1 Ruby simultaneously
# This should be the same in ruby/admin/web/websocket-gateway
#######
gem 'nokogiri', '1.10.10' # added to pin before 1.11.0, which requires at leaost ruby 2.5.  unpin we go above
gem 'sprockets', '3.6.3' # added to pin before 4.0.0, which requiurse at least ruby 2.5
gem 'fog-brightbox', '0.11.0' # pinned until we are on ruby 2.5; then remove
gem 'faraday', '0.9.2' # pinned untnil we are on ruby 2.5; then remove
gem 'ruby-prof', '0.15.9' # pinned until we are on ruby 2.5; then remove
gem 'rubyzip', '1.2.1'  # pinned until we are on ruby 2.5; then remove
gem 'recurly', '2.18.16' # should upgrade to 3.x when we have time to validaate
gem 'icalendar', '2.4.0' # pinned until we are on ruby 2.5; then remove
gem 'email_validator', '1.6.0' # pinned until we are on ruby 2.5, then remove
gem 'redis', '3.3.3' # pinned until we are on 2.5; then remove
gem 'redis-namespace', '1.5.3' # pinned until we are on 2.5; then remove
gem 'oj', '3.1.3' # pinned until we are on 2.5; then remove
gem 'bcrypt', '3.1.13'
gem 'mimemagic', :source => 'https://int.jamkazam.com/gems/'
#######


#gem 'license_finder'
gem 'zip-codes'
gem 'stripe'
gem 'kickbox'
gem 'uuidtools', '2.1.2'
# On MacOSX: gem install bcrypt-ruby -v '3.0.1' -- --with-cflags=-Wno-implicit-function-declaration
gem 'ruby-protocol-buffers', '1.2.2'
gem 'em-websocket', '>=0.4.0' #, :path=> "#{workspace}/em-websocket-jam"
gem 'amqp'
gem 'logging'
gem 'will_paginate'
gem 'sendgrid'
gem 'rb-readline'
gem 'aasm' #, '3.0.16'
gem 'carrierwave', '0.11.2'
gem 'fog'
gem 'devise', '3.3.0' # 3.4.0 causes uninitialized constant ActionController::Metal (NameError)
gem 'postgres-copy'
gem 'aws-sdk', '~> 1'
gem 'bugsnag', '5.3.2'
gem 'postgres_ext'
gem 'resque'
gem 'resque-retry'
gem 'resque-failed-job-mailer'
gem 'resque-lonely_job', '~> 1.0.0'
gem 'resque_mailer'
gem 'geokit'
gem 'geokit-rails' #, '2.0.1'
gem 'mime-types', '1.25.1'
gem 'rest-client'
gem 'netaddr', '1.5.1'
gem 'iso-639'
gem 'language_list'
gem 'sanitize'
#gem 'influxdb'
gem 'cause' # needed by influxdb
gem 'sendgrid_toolkit', '>= 1.1.1'
gem 'elasticsearch'

if ENV["MODERN_OS"] == "1"
  gem 'pg', '0.21.0'
else
  gem 'pg', '0.17.1'
end

group :development do
	gem 'pry'
end

group :test do
    gem 'simplecov', '~> 0.7.1'
    gem 'simplecov-rcov'
    gem 'cucumber'
    gem 'rspec', '2.14.1' # can go to 3.0, but requires changes to tests due to should removal, be_truthy, and other changes
    gem 'factory_girl'
    #gem 'spork', '0.9.0'
#<<<<<<< HEAD
    gem 'database_cleaner' #, '0.7.0'
#    gem 'guard', '>= 0.10.0'
#    gem 'guard-rspec', '>= 0.7.3'
#    gem 'pg_migrate','0.1.13' #:path => "#{workspace}/pg_migrate_ruby"
#=======
#    gem 'database_cleaner', '0.7.0'
    #gem 'pg_migrate','0.1.14' #:path => "#{workspace}/pg_migrate_ruby"
#>>>>>>> develop
    gem 'evented-spec'
end

group :production do
    gem 'newrelic_rpm'
end

group :package do
    gem 'fpm'
end
